# Uses of Interface
org.apache.lucene.sandbox.facet.iterators.ComparableSupplier

Packages that use ComparableSupplier
Package
Description
org.apache.lucene.sandbox.facet
Sandbox faceting - Collectors that compute facets.
org.apache.lucene.sandbox.facet.iterators
Sandbox faceting: facet ordinals.

## Uses of ComparableSupplier in org.apache.lucene.sandbox.facet

Methods in org.apache.lucene.sandbox.facet that return ComparableSupplier
Modifier and Type
Method
Description
`static ComparableSupplier<ComparableUtils.ByAggregatedValueComparable>`
ComparableUtils.`byAggregatedValue(CountFacetRecorder countRecorder, LongAggregationsFacetRecorder longAggregationsFacetRecorder, int aggregationId)`
`ComparableSupplier` to sort ordinals by long aggregation (descending) with tie-break by count (descending) or by ordinal (ascending) using provided `CountFacetRecorder` and `LongAggregationsFacetRecorder`.
`static ComparableSupplier<ComparableUtils.ByCountComparable>`
ComparableUtils.`byCount(CountFacetRecorder recorder)`
`ComparableSupplier` to sort ordinals by count (descending) with ord as a tie-break (ascending) using provided `CountFacetRecorder`.
`static ComparableSupplier<ComparableUtils.ByCountAndLongValueComparable>`
ComparableUtils.`byCount(CountFacetRecorder countFacetRecorder, LongValueFacetCutter longValueFacetCutter)`
`ComparableSupplier` to sort ordinals by count (descending) from `CountFacetRecorder` with tie-break by long value (ascending) from `LongValueFacetCutter`.
`static ComparableSupplier<ComparableUtils.ByLongValueComparable>`
ComparableUtils.`byLongValue(LongValueFacetCutter longValueFacetCutter)`
`ComparableSupplier` to sort ordinals by long value from `LongValueFacetCutter` (descending).
`static ComparableSupplier<ComparableUtils.ByOrdinalComparable>`
ComparableUtils.`byOrdinal()`
`ComparableSupplier` to sort by ords (ascending).
Methods in org.apache.lucene.sandbox.facet with parameters of type ComparableSupplier
Modifier and Type
Method
Description
`static <T extends Comparable<T>>
void`
ComparableUtils.`sort(int[] ordinals, ComparableSupplier<T> comparableSupplier)`
Sort array of ordinals.

## Uses of ComparableSupplier in org.apache.lucene.sandbox.facet.iterators

Constructors in org.apache.lucene.sandbox.facet.iterators with parameters of type ComparableSupplier
Modifier
Constructor
Description
``
`TopnOrdinalIterator(OrdinalIterator sourceOrds, ComparableSupplier<T> comparableSupplier, int topN)`
Constructor.